package com.tofly.znb.common.exception;

import java.util.Date;

public class FeesErrorResponse {

    private final FeesErrorCode code;
    private final String message;
    private final Date timestamp;

    protected FeesErrorResponse(final String message, final FeesErrorCode errorCode) {
        this.message = message;
        this.code = errorCode;
        this.timestamp = new Date();
    }

    public static FeesErrorResponse of(final String message, final FeesErrorCode errorCode) {
        return new FeesErrorResponse(message, errorCode);
    }

    public String getMessage() {
        return message;
    }


    public FeesErrorCode getCode() {
        return code;
    }

    public Date getTimestamp() {
        return timestamp;
    }

}
